Page MenuHomePhabricator

Convert RSS to use extension registration
Closed, ResolvedPublic

Description

The RSS extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:33 PM
Liuxinyu970226 set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 18 2015, 10:42 AM

This is mostly rather trivial; the only possible issue here could be the EXTENSION_RSS_VERSION constant and how it's used to set $wgRSSUserAgent (apparently the strtok() call there is rather unnecessary and pointless). Maybe we can just set $wgRSSUserAgent to a static string containing the extension version number and require developers to bump it along the actual extension version number when making significant changes to the extension?

MtDu claimed this task.Jan 18 2016, 3:50 PM
MtDu added a subscriber: MtDu.

I'll work on this. @Legoktm, when I finish, do you mind if you imported it as a GCI task?
Thanks,
MtDu

Change 264747 had a related patch set uploaded (by MtDu):
Convert RSS to use new extension registration

https://gerrit.wikimedia.org/r/264747

Change 264747 merged by jenkins-bot:
Convert RSS to use new extension registration

https://gerrit.wikimedia.org/r/264747

Legoktm closed this task as Resolved.Aug 10 2016, 7:49 AM